--- org/boost_1_33_1/tools/build/v2/tools/python.jam	2005-05-23 09:35:28.000000000 +0300
+++ boost_1_33_1/tools/build/v2/tools/python.jam	2007-07-06 12:38:29.000000000 +0300
@@ -142,6 +142,7 @@ rule init-unix ( version ? : root ? : in
 
 rule init-mac ( version : root : includes ? : libraries ? )
 {
+    # FIXME: root should be optional
     if ! $(root)
     {
         if [ GLOB /System/Library/Frameworks : Python.framework ]
@@ -153,7 +154,8 @@ rule init-mac ( version : root : include
             root = /Library/Frameworks/Python.framework/Versions/$(version) ;
         }
     }   
-    includes ?= $(PYTHON_ROOT)/include/python$(PYTHON_VERSION) ;
+    #includes ?= $(PYTHON_ROOT)/include/python$(PYTHON_VERSION) ;
+    includes ?= $(root)/include/python$(version) ;
     # FIXME: not sure what PYTHON_FRAMEWORK variable is
     PYTHON_FRAMEWORK ?= $(root) ;
     while $(PYTHON_FRAMEWORK:D=) && $(PYTHON_FRAMEWORK:D=) != Python.framework
@@ -162,7 +164,7 @@ rule init-mac ( version : root : include
     }
     PYTHON_FRAMEWORK = $(PYTHON_FRAMEWORK:D)/Python ;
 
-    alias python
+    alias python_for_extensions
       : 
       :
       : 
@@ -171,9 +173,11 @@ rule init-mac ( version : root : include
     
     alias python
       :
-      : <os>MACOSXX <toolset>darwin
+      : <os>MACOSX <toolset>darwin
       :
-      : <framework>$(PYTHON_FRAMEWORK)
+      #: <framework>$(PYTHON_FRAMEWORK)
+      : <include>$(includes)
+        <framework>Python
       ;  
 }
 
